summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-09-05 12:15:30 +0000
committerJim Meyering <jim@meyering.net>2000-09-05 12:15:30 +0000
commitb150de0a99304ca9661193ccf831845c52010b3d (patch)
treedd9bd0c9defc63ef41b055bd82a13ed1d08248eb /tests
parent2757680bbf671e06ad16f5cc94e5ab6da24571a6 (diff)
downloadcoreutils-b150de0a99304ca9661193ccf831845c52010b3d.tar.xz
Redirect stdout to stderr before trying to
remove the temp directory. Otherwise, the `rm -rf' would get an error because the output file wouldn't be closed and the directory wouldn't be `empty'.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/cp/same-file2
-rwxr-xr-xtests/mv/part-symlink2
2 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/same-file b/tests/cp/same-file
index aeec21022..ccc4f5b6c 100755
--- a/tests/cp/same-file
+++ b/tests/cp/same-file
@@ -14,7 +14,7 @@ VERSION_CONTROL=numbered; export VERSION_CONTROL
pwd=`pwd`
tmp=same-f-$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd $pwd; exec 1>&2; rm -rf $tmp && exit $status' 0
trap 'exit $?' 1 2 13 15
framework_failure=0
diff --git a/tests/mv/part-symlink b/tests/mv/part-symlink
index 34f9972ff..ef41e6e52 100755
--- a/tests/mv/part-symlink
+++ b/tests/mv/part-symlink
@@ -10,7 +10,7 @@ fi
pwd=`pwd`
tmp=part-sl.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp $other_partition_tmpdir && exit $status' 0
+trap 'status=$?; cd $pwd; exec 1>&2; rm -rf $tmp $other_partition_tmpdir && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
pwd_tmp=$pwd/$tmp